local L = LibStub("AceLocale-3.0"):GetLocale("Spearity")

--- WoW API
local LoadAddOn = _G.C_AddOns.LoadAddOn

local AddonCompartment = {}

function AddonCompartment.OnClick()
	Spearity:TryShowOptionsUI()
end

function AddonCompartment.OnEnter()
	-- Might want to display a tooltip here if the behavior differs from the default /spearity slash command
end

function AddonCompartment.OnLeave()
	-- Might want to display a tooltip here if the behavior differs from the default /spearity slash command
end

-- No way around polluting the global namespace for these, AFAICT
_G.Spearity_OnAddonCompartmentClick = AddonCompartment.OnClick
_G.Spearity_OnAddonCompartmentEnter = AddonCompartment.OnEnter
_G.Spearity_OnAddonCompartmentLeave = AddonCompartment.OnLeave

Spearity.AddonCompartment = AddonCompartment
